package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.ShelfDto;
import com.junmp.jyzb.api.bean.query.ShelfReq;
import com.junmp.jyzb.api.bean.req.UpdateShelfReq;
import com.junmp.jyzb.entity.Shelf;

import java.util.List;

public interface ShelfService extends IService<Shelf> {
    String AddShelf(UpdateShelfReq req);

    boolean UpdateShelf(UpdateShelfReq req);

    boolean DeleteShelf(UpdateShelfReq req);

    List<ShelfDto> GetShelfList(ShelfReq req);

    Shelf ShelfExist(String id);

}
